## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit 52f457f0ba278e51dc0cbb4cab418049e6b32d9c
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:			cl-clx
Version:		0.7.6^20240911git52f457f
Release:		%autorelease
Summary:		An X11 client library for Common Lisp

License:		MIT
URL:			https://sharplispers.github.io/clx/
Source0:		https://github.com/sharplispers/clx/archive/%{commit}/clx-%{shortcommit}.tar.gz

BuildArch:		noarch

BuildRequires:		texinfo

BuildRequires:		common-lisp-controller
Requires:		common-lisp-controller
Requires(post):		common-lisp-controller
Requires(preun):	common-lisp-controller

%description
CLX is an X11 client library for Common Lisp. The code was originally
taken from a CMUCL distribution, was modified somewhat in order to
make it compile and run under SBCL, then a selection of patches were
added from other CLXes around the net.

Features

 - SHAPE extension support (Gilbert Baumann)
 - XFREE86-VIDMODE extension support (Iban Hatchondo)
 - experimental RENDER extension support
     (Gilbert Baumann and Christian Sunesson)
 - X authority support that works with ssh forwarding (Eric Marsden via CMUCL)
 - OPEN-DEFAULT-DISPLAY function which, as the name suggests, does that (dan)
 - various bug fixes (Iban Hatchondo and a cast of several)
 - a manual in texinfo format (Shawn Betts, Gilbert Baumann)

Supported versions

CLX should work with CCL, CLISP, CMUCL, ECL and SBCL.
If it doesn't please submit an issue along with the version information
of your implementation.

%prep
%autosetup -n clx-%{commit}

%build
pushd manual
makeinfo clx.texinfo
popd

%install
pushd manual
%{__mkdir_p} %{buildroot}%{_infodir}
gzip < clx.info > %{buildroot}%{_infodir}/clx.info.gz
popd

%{__mkdir_p} -m 755 %{buildroot}%{_datadir}/common-lisp/source/clx
%{__mkdir_p} -m 755 %{buildroot}%{_datadir}/common-lisp/systems

install -m 644 -Dt %{buildroot}%{_datadir}/common-lisp/source/clx *.lisp
%{__cp} -R extensions %{buildroot}%{_datadir}/common-lisp/source/clx
%{__cp} -R demo %{buildroot}%{_datadir}/common-lisp/source/clx
install -m 644 -t %{buildroot}%{_datadir}/common-lisp/source/clx clx.asd

pushd %{buildroot}%{_datadir}/common-lisp/systems
ln -s ../source/alexandria/clx.asd .
popd

%post
register-common-lisp-source clx

%preun
unregister-common-lisp-source clx

%files
%doc NEWS README.md
%license LICENSE
%{_datadir}/common-lisp/source/clx
%{_datadir}/common-lisp/systems/clx.asd
%{_infodir}/clx.info.*

%changelog
## START: Generated by rpmautospec
* Sun Oct 06 2024 John Doe <packager@example.com> - 0.7.6^20240911git52f457f-1
- Uncommitted changes
## END: Generated by rpmautospec
